Tar.gz problem z instalcją paczki


(Koszal No 1) #1

Witam wiem że temat już był ale nie odsyłajcie mnie do Google bo tam już nic nie znalazłem.

problem polega na tym że pobrałem paczkę tar.gz wypakowałem. Wchodzę do folderu w którym ją wypakowałem. Odpalam konsole , wpisuję ./configure i mam to " bash: ./configure: No such file or directory" co to za komunikat i dlaczego sie pokazuje? screen

http://zapodaj.net/6acbd785aa0e.png.html


#2

A masz zainstalowane narzędzia do kompilacji?

No widzisz, a ja wpisałem komunikat błędy który podałeś i w ciągu minuty znalazłem kilka możliwych rozwiązań.


(nintyfan) #3

Wykonaj polecenie ls w katalogu, gdzie chcesz uruchomić ./configure

Wynik wrzuć tutaj.


(Koszal No 1) #4

tomek@tomek-desktop:~/Pobrane/konverter$ ls

c:\trace_b.txt Doxyfile konverter.pro src

CVS konverter.kdevelop konverter.tag templates

distfiles konverter.kdevelop.pcs Makefile

docs konverter.kdevses media

tomek@tomek-desktop:~/Pobrane/konverter$

wynik ls

-- Dodane 01.05.2010 (So) 17:35 --

o jakie narzędzia dokładnie chodzi?


(Sawyer47) #5

Po pierwsze upewnij się, czy danego programu nie ma w repozytoriach twojej dystrybucji. Jeśli nie ma, podaj jaki to program chcesz zainstalować. Instrukcję dotyczące programu powinny być w plikach README i/lib INSTALL z archiwum z programem.


(Koszal No 1) #6

w repo szukałem nie ma go po rozpakowaniu nie mam plików install bądź readme! !!

program ma służyć do konwertowania plików rmvb do avi


(Sawyer47) #7

W takim razie podaj skąd ściągasz owy program (i konkretnie jaki to). Ogólnie jego twórca powinien gdzieś umieścić jakąś instrukcję obsługi.


(Koszal No 1) #8

niestety nie mam już historii przeglądania ww przeglądarce a znaleźć nie mogę. jeżeli chodzi o Google owszem jest coś na ten temat ale nic z tego nie czaje mam Linuksa od 2 dni.


(Sawyer47) #9

Poszukaj w archiwum, które ściągnąłeś, program ma chyba jakąś nazwę?


(Koszal No 1) #10

ale gafę strzeliłem program jest przeznaczony na KDE tym czasem jak używam Gnome! myślę że w tym jest problem właśnie. mam nadzieję że dla potomnych posty sie przydadzą EOT


(roobal) #11

Pradopodobnie nie ma skryptu configure, w takim wypadku najczęściej wystarczy przejść do kompilacji kodu bez sprawdzania czy mamy w systemie wszystko co trzeba do zbudowania kodu binarnego, dlatego pomijasz configure i przechodzisz do kolejnego kroku:

make

su -c 'make install'

To nie robi różnicy, większość programów pisanych dla KDE działa bez problemu również pod Gnome jak i Xfce czy wielu innych :slight_smile:

Pozdrawiam!


(FadeMind) #12

W terminalu wpisz :

sudo apt-get build-dep NAZWA PROGRAMU

sudo make

sudo make install

Znając życie, gdy instalujesz na GNOME porogram z KDE, to pobierze niezbędne biblioteki, a dzięki poleceniu

sudo apt-get build-dep NAZWA PROGRAMU

dowiesz się ile tego będzie :lol:

na przyszłość polecam zapoznać się z tym : http://ccrma.stanford.edu/planetccrma/m ... get.8.html

po za tym znalazłem gotowe paczki DEB :lol:

http://www.kraus.tk/projects/konverter/packages/

zatem albo kompilacja albo instalka z DEB :lol:


(roobal) #13

Jest jeszcze program Auto-Apt , który pobiera wszystko czego skrypt configure nie wynajdzie a używa się tego tak:

  • zamiast

(RubasznyRumcajs) #14

jeśli ów program przeznaczony jest na KDE- to jest napisany w Qt. Ściągnij libqt4-dev (bądź jak to się tam w ubuntu nazywa), później odpal

qmake -project

qmake

make

pojawi się w owym katalogu plik wykonywalny, odpal go przez ./nazwa_pliku


(Koszal No 1) #15

wielkie dzięki dla Wszystkich